OGRE-Next: Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference

Structure defining an auto constant that's available for use in a parameters object. More...

`#include <OgreGpuProgramParams.h>`

## Public Member Functions
| AutoConstantDefinition (AutoConstantType _acType, const String &_name, size_t _elementCount, ElementType _elementType, ACDataType _dataType)

## Public Attributes
AutoConstantType | acType
ACDataType | dataType
| The type of any extra data.
size_t | elementCount
ElementType | elementType
| The type of the constant in the program.
String | name

## Detailed Description

Structure defining an auto constant that's available for use in a parameters object.

## Constructor & Destructor Documentation

## ◆ AutoConstantDefinition()

Ogre::GpuProgramParameters::AutoConstantDefinition::AutoConstantDefinition | ( | AutoConstantType | _acType,
|  | const String & | _name,
|  | size_t | _elementCount,
|  | ElementType | _elementType,
|  | ACDataType | _dataType )
| inline

References acType, dataType, elementCount, elementType, and name.

## Member Data Documentation

## ◆ acType

AutoConstantType Ogre::GpuProgramParameters::AutoConstantDefinition::acType

Referenced by AutoConstantDefinition().

## ◆ dataType

ACDataType Ogre::GpuProgramParameters::AutoConstantDefinition::dataType

The type of any extra data.

Referenced by AutoConstantDefinition().

## ◆ elementCount

size_t Ogre::GpuProgramParameters::AutoConstantDefinition::elementCount

Referenced by AutoConstantDefinition().

## ◆ elementType

ElementType Ogre::GpuProgramParameters::AutoConstantDefinition::elementType

The type of the constant in the program.

Referenced by AutoConstantDefinition().

## ◆ name

String Ogre::GpuProgramParameters::AutoConstantDefinition::name

Referenced by AutoConstantDefinition().

The documentation for this struct was generated from the following file:

- OgreGpuProgramParams.h